%define upstream_name    Dist-Zilla-Role-MetaCPANInterfacer
%define upstream_version 0.97

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Something that will interact with MetaCPAN's API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(HTTP::Tiny::Mech)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(MetaCPAN::API)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(WWW::Mechanize::Cached::GZip)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(sanity)
BuildArch: noarch

%description
This role is simply gives you a the MetaCPAN::API manpage object to use
with caching, so that other plugins can share that cache. It uses the
awesome example provided in the the MetaCPAN::API/SYNOPSIS manpage,
contributed by Kent Fredric.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.970.0-4.mga9
+ Revision: 1821267
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.970.0-3.mga8
+ Revision: 1504295
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.970.0-2.mga7
+ Revision: 1283377
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.970.0-1.mga7
+ Revision: 1217184
- imported package perl-Dist-Zilla-Role-MetaCPANInterfacer


* Tue Apr 10 2018 cpan2dist 0.97-1mga
- initial mageia release, generated with cpan2dist
